%% PLOT_RESPONSE
% Plots the response of variables in the Matlab workspace.
%
%% Load sample data from MAT files
% Comment these lines out if you want to use the data recently stored in
% the data_pos and data_vm variables from after running the controller.
% load('sample_rsp_x.mat');
% load('sample_rsp_vm.mat');
%
%% Setup variables
% Load from variables set in workspace after running a Simulink model or
% from the previously saved response saved in the MAT files above.
t = data_theta(:,1);          % time (s)
th_d = data_theta(:,2);     % setpoint
th = data_theta(:,3);       % measured process variable
alpha = data_alpha(:,2);        % pendulum x angle
u = data_vm(:,2);           % input signal, srv02 x
%
%% Plot response
subplot(3,1,1);
plot(t,th_d,'b:',t,th,'r-','linewidth',2);
xlabel('time (s)');
ylabel('\theta (deg)');
% axis([0 50 -15 15]);
%
subplot(3,1,2);
plot(t,alpha,'r-','linewidth',2);
xlabel('time (s)');
ylabel('\alpha (deg)');
% axis([0 50 -5 5]);
%
subplot(3,1,3);
plot(t,u,'r-','linewidth',2);
% axis([0 50 -10 10])
ylabel('V_{m} (V)');

% Find specifications
c_ts = 0.04;
tol_p = 0;
[ tp, ts, e_ss, PO ] = meas_step_rsp_specs( t, th_d, th, c_ts, tol_p );
% Display results
e_ss
ts
PO
max_alpha = max(abs(alpha))
